Bug 505146 - Fonts too thick when printing from OpenOffice.org using hpijs .ppds (No Type42 support)
Fonts too thick when printing from OpenOffice.org using hpijs .ppds (No Type4...
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
low Severity urgent
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-10 15:51 EDT by Matthias Bachert
Modified: 2009-06-18 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-18 12:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Original OpenOffice.org file (12.00 KB, application/vnd.oasis.opendocument.text)
2009-06-11 07:21 EDT, Matthias Bachert
no flags Details
Resulting .ps file (42.46 KB, application/postscript)
2009-06-11 07:22 EDT, Matthias Bachert
no flags Details
My printer properties (35.61 KB, image/png)
2009-06-11 07:23 EDT, Matthias Bachert
no flags Details

  None (edit)
Description Matthias Bachert 2009-06-10 15:51:21 EDT
Description of problem:
Please have a look at this:

and this:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start OpenOffice.org Writer
2. Write some text
3. Print it on an HP Deskjet 6540 Printer
Actual results:
A very bold printout

Expected results:
Normal printout

Additional info:
This bug is part of nearly every distro out now but didn't appear in Fedora 10.
It makes linux in a whole unusable for office work.
Comment 1 Caolan McNamara 2009-06-10 16:04:54 EDT
Both of those other links refer to hplip, I assume that's a factor in play here again. 

So, if you use print, print to file as .ps and load that output postscript in evince. Does that look ok or not ? Assuming it looks ok, if you then print from evince, does it then appear good or bad on paper ?

i.e. can we rule in or out OOo generating poor postscript (or some downloadable font issue) or move the blame elsewhere.
Comment 2 Matthias Bachert 2009-06-10 16:35:35 EDT
Printing to a .ps file with Writer and then opening it in Okular (I use KDE) looks and prints way too fat.
Comment 3 Caolan McNamara 2009-06-11 05:21:09 EDT
ok, that's good. So attach the .ps here and the sample input .odt that created it and the exact details of the printer config from system-config-printer properties to get the make and model and driver.
Comment 4 Matthias Bachert 2009-06-11 07:21:45 EDT
Created attachment 347380 [details]
Original OpenOffice.org file
Comment 5 Matthias Bachert 2009-06-11 07:22:42 EDT
Created attachment 347381 [details]
Resulting .ps file
Comment 6 Matthias Bachert 2009-06-11 07:23:22 EDT
Created attachment 347382 [details]
My printer properties
Comment 7 Caolan McNamara 2009-06-11 08:17:56 EDT
This presumably is because those HP .ppds don't support Type42, i.e. no
*TTRasterizer:  Type42
Comment 8 Matthias Bachert 2009-06-11 08:25:47 EDT
So what does this mean to me?

I use OpenOffice.org on a daily basis and need a fix really urgent because I also can't switch to another distro as all mainstream distros are affected.
Comment 9 Caolan McNamara 2009-06-11 08:51:13 EDT
I don't know the full story yet to know where the problem lies to give a workaround of a fix.

Tough as a wild hack you could try and edit the /etc/cups/ppd/<whateveritis>.ppd file and add a *TTRasterizer:  Type42 line, e.g.

   *FileSystem: False
   *Throughput: "1"
   *LandscapeOrientation: Plus90
+  *TTRasterizer:  Type42
   *% Driver-defined attributes...
   *DefaultResolution: 1200dpi

and restart cups and see if that makes a difference. Though its quite likely that'll cause something horrible to happen. Printing to file as generic postscript and then printing that ps file with evince might workaround.
Comment 10 Matthias Bachert 2009-06-11 17:12:30 EDT
There currently is the line you mentioned. Also I'm wondering why this worked in Fedora 10.

So what to do next?
Comment 11 Matthias Bachert 2009-06-13 12:23:29 EDT
Ok, I found out that it seems to work if I download the PPD file from linuxprinting.org and install it with system-config-printer-kde.
Comment 12 Caolan McNamara 2009-06-16 12:21:59 EDT
Hmm, now that I look at this again I wonder...

"an HP Deskjet 6540 Printer" but your Make and Model is set to
"HP Deskjet 6500 hpijs" not 6540

Checking both of those printers out on F-10 and F-11 then on either of them if I use "HP Deskjet 6500" we get no TTRasterizer from the hpjis auto-generated .ppd and so ugly thick fonts. And on either of them if I use the "HP Deskjet 6540" we get the foomatic .ppd and nice Type42 fonts. So I don't see an actual change in what OOo does.

So, perhaps you just selected the wrong driver when configuring the printer ? 

Or was this all magically auto-configured for you.
Comment 13 Caolan McNamara 2009-06-18 12:59:44 EDT
Afaict nothing changed in OOo from F-10 to F-11, just looks like a different .ppd was selected for the same printer.

Note You need to log in before you can comment on or make changes to this bug.